/*
 * glChess - A 3D chess interface
 *
 * Copyright (C) 2002  Robert  Ancell <bob27@users.sourceforge.net>
 *                     Michael Duelli <duelli@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

typedef struct _FileSelection {
  GtkWidget *entry;
  GtkWidget *filesel;
} FileSelection;

void engine_dialog(char *);
void about_dialog(glChessWidget *, guint, GtkWidget *);
void quit_dialog(glChessWidget *, guint, GtkWidget *);
void promotion_dialog(void);
void binary_dialog(Game *);

void exit_dialog(GtkWidget *, GtkWidget **);
void promotion_dialog_cb(GtkWidget *, int *);
void quit_program(GtkWidget *, glChessWidget *);

void save_paths(GtkWidget *, Game *);

void save_crafty_path(GtkWidget *, Game *);
void save_gnuchessx_path(GtkWidget *, Game *);

void set_entry(GtkWidget *, FileSelection *);
void toggle_use_crafty(GtkWidget *, FileSelection *);
void toggle_use_gnuchessx(GtkWidget *, FileSelection *);
