/*
 * glChess - A 3D chess interface
 *
 * Copyright (C) 2002  Robert  Ancell <bob27@users.sourceforge.net>
 *                     Michael Duelli <duelli@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

void mouse(glChessWidget *, int, int, int);
void mouse_move(Game *, int, int, int);
void draw_squares(void);
int pick_square(Game *, int, int, int *);
int move_piece(Game *, int *);

/* The move checking functions */
int check_move(Game *, int *, int *, int, int, int, int, int);
int check_ortho(Game *, int *, int *);
int check_diag(Game *, int *, int *);
int in_check_check(Game *, int *, int *, int, int);
int king_in_check(Game *, int, int);

/* The move list functions */
int move_list_create(void);
int move_list_free(void);
void move_list_add_move(glChessWidget *, int, int, int, int, int);
int move_list_check_piece(Game *, int, int);
